<JaxTeller718>	<append xpath="/progression/attributes">		<attribute name="attActionSkills" name_key="attActionSkillsName" desc_key="attActionSkillsDesc" max_level="1" icon="ui_game_symbol_resource">			<effect_group name="Action Skills Lvl 0 Set">				<requirement name="CVarCompare" cvar="AS_ConstructionTools_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_MiningTools_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Blunt_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Bladed_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Electric_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Turret_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Javelin_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Brawler_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Archery_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Pistols_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Shotguns_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Rifles_XP" operation="Equals" value="0"/>				<requirement name="CVarCompare" cvar="AS_Automatics_XP" operation="Equals" value="0"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_XP_Mult" operation="set" value="1.015"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_ConstructionTools_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_ConstructionTools_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_MiningTools_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_MiningTools_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Blunt_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Blunt_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Bladed_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Bladed_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Electric_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Electric_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Turret_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Turret_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Javelin_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Javelin_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Brawler_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Brawler_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Archery_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Archery_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Pistols_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Pistols_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Shotguns_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Shotguns_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Rifles_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Rifles_LvlNextTotal" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Automatics_LvlNextAdd" operation="set" value="500"/>				<triggered_effect trigger="onSelfEnteredGame" action="ModifyCVar" cvar="AS_Automatics_LvlNextTotal" operation="set" value="500"/>			</effect_group>				</attribute>	</append>	<append xpath="/progression/skills">		<skill name="skillASTools" parent="attActionSkills" name_key="Tools" desc_key="Tools" icon="ui_game_symbol_resource">			<effect_group/>		</skill>		<skill name="skillASWeapons" parent="attActionSkills" name_key="Weapons" desc_key="Weapons" icon="ui_game_symbol_marksmanship">			<effect_group/>		</skill>	</append>	<append xpath="/progression/perks">		<!-- Tools -->		<perk name="perkASMiningTools" parent="skillASTools" max_level="100" base_skill_point_cost="0" name_key="Mining Tools" desc_key="perkASMiningToolsDesc" icon="ui_game_symbol_mining">			<effect_group>				<passive_effect name="BlockDamage" operation="perc_add" value="0.01,1" level="1,100"/>				<passive_effect name="HarvestCount" operation="perc_add" value="0.01,1" level="1,100" tags="oreWoodHarvest"/>				<passive_effect name="StaminaLoss" operation="perc_subtract" value="0.003,0.3" level="1,100"/>			</effect_group>			<effect_group name="AS Mining Tools Lvl Increase">				<requirement name="CVarCompare" cvar="AS_MiningTools_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_MiningTools_XP" operation="GTE" value="@AS_MiningTools_LvlNextTotal"/>				<triggered_effect trigger="onSelfHarvestBlock" action="ModifyCVar" cvar="AS_MiningTools_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfHarvestBlock" action="ModifyCVar" cvar="AS_MiningTools_LvlNextTotal" operation="add" value="@AS_MiningTools_LvlNextAdd"/>				<triggered_effect trigger="onSelfHarvestBlock" action="ModifyCVar" cvar="AS_MiningTools_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfHarvestBlock" action="ShowToolbeltMessage" message="Mining Tools Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_MiningTools_XP" operation="add" value="@AS_MiningTools_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_MiningTools_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_MiningTools_LvlNextTotal" operation="add" value="@AS_MiningTools_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_MiningTools_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Mining Tools Level Increased"/>			</effect_group>		</perk>				<!-- Tools -->		<perk name="perkASConstructionTools" parent="skillASTools" max_level="100" base_skill_point_cost="0" name_key="Construction Tools" desc_key="perkASConstructionToolsDesc" icon="ui_game_symbol_block_repair">			<effect_group>				<passive_effect name="BlockDamage" operation="perc_add" value="0.01,1" level="1,100"/>				<passive_effect name="HarvestCount" operation="perc_add" value="0.01,1" level="1,100" tags="oreWoodHarvest"/>				<passive_effect name="StaminaLoss" operation="perc_subtract" value="0.003,0.3" level="1,100"/>			</effect_group>			<effect_group name="AS Construction Tools Lvl Increase">				<requirement name="CVarCompare" cvar="AS_ConstructionTools_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_ConstructionTools_XP" operation="GTE" value="@AS_ConstructionTools_LvlNextTotal"/>				<triggered_effect trigger="onSelfHarvestBlock" action="ModifyCVar" cvar="AS_ConstructionTools_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfHarvestBlock" action="ModifyCVar" cvar="AS_ConstructionTools_LvlNextTotal" operation="add" value="@AS_ConstructionTools_LvlNextAdd"/>				<triggered_effect trigger="onSelfHarvestBlock" action="ModifyCVar" cvar="AS_ConstructionTools_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfHarvestBlock" action="ShowToolbeltMessage" message="Construction Tools Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_ConstructionTools_XP" operation="add" value="@AS_ConstructionTools_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_ConstructionTools_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_ConstructionTools_LvlNextTotal" operation="add" value="@AS_ConstructionTools_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_ConstructionTools_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Construction Tools Level Increased"/>			</effect_group>		</perk>		<!-- Weapons -->		<perk name="perkASBlunt" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Blunt Weapons" desc_key="perkASBluntDesc" icon="ui_game_symbol_sledge">			<effect_group>				<requirement name="HoldingItemHasTags" tags="blunt"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="StaminaLoss" operation="perc_subtract" value="0.003,0.3" level="1,100"/>			</effect_group>			<effect_group name="AS Blunt Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Blunt_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Blunt_XP" operation="GTE" value="@AS_Blunt_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="blunt"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Blunt_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Blunt_LvlNextTotal" operation="add" value="@AS_Blunt_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Blunt_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Blunt Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Blunt_XP" operation="add" value="@AS_Blunt_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Blunt_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Blunt_LvlNextTotal" operation="add" value="@AS_Blunt_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Blunt_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Blunt Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASBladed" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Bladed Weapons" desc_key="perkASBladedDesc" icon="ui_game_symbol_deep_cuts">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkDeepCuts"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="StaminaLoss" operation="perc_subtract" value="0.003,0.3" level="1,100"/>			</effect_group>			<effect_group name="AS Bladed Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Bladed_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Bladed_XP" operation="GTE" value="@AS_Bladed_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkDeepCuts"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Bladed_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Bladed_LvlNextTotal" operation="add" value="@AS_Bladed_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Bladed_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Bladed Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Bladed_XP" operation="add" value="@AS_Bladed_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Bladed_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Bladed_LvlNextTotal" operation="add" value="@AS_Bladed_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Bladed_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Bladed Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASElectric" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Electric Weapons" desc_key="perkASElectricDesc" icon="ui_game_symbol_electric_power">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkElectrocutioner"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="StaminaLoss" operation="perc_subtract" value="0.003,0.3" level="1,100"/>			</effect_group>			<effect_group name="AS Electric Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Electric_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Electric_XP" operation="GTE" value="@AS_Electric_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkElectrocutioner"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Electric_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Electric_LvlNextTotal" operation="add" value="@AS_Electric_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Electric_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Electric Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Electric_XP" operation="add" value="@AS_Electric_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Electric_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Electric_LvlNextTotal" operation="add" value="@AS_Electric_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Electric_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Electric Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASTurret" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Turret Weapons" desc_key="perkASTurretDesc" icon="ui_game_symbol_electric_turret">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkTurrets"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="ReloadSpeedMultiplier" operation="perc_add" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesVertical" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesHorizontal" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="IncrementalSpreadMultiplier" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="WeaponHandling" operation="perc_add" value="0.005,0.5" level="1,100"/>			</effect_group>			<effect_group name="AS Turret Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Turret_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Turret_XP" operation="GTE" value="@AS_Turret_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkTurrets"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Turret_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Turret_LvlNextTotal" operation="add" value="@AS_Turret_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Turret_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Turret Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Turret_XP" operation="add" value="@AS_Turret_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Turret_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Turret_LvlNextTotal" operation="add" value="@AS_Turret_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Turret_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Turret Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASJavelin" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Javelin Weapons" desc_key="perkASJavelinDesc" icon="ui_game_symbol_spear">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkJavelinMaster"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="StaminaLoss" operation="perc_subtract" value="0.003,0.3" level="1,100"/>			</effect_group>			<effect_group name="AS Javelin Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Javelin_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Javelin_XP" operation="GTE" value="@AS_Javelin_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkJavelinMaster"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Javelin_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Javelin_LvlNextTotal" operation="add" value="@AS_Javelin_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Javelin_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Javelin Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Javelin_XP" operation="add" value="@AS_Javelin_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Javelin_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Javelin_LvlNextTotal" operation="add" value="@AS_Javelin_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Javelin_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Javelin Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASBrawler" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Fist Weapons" desc_key="perkASBrawlerDesc" icon="ui_game_symbol_boxer">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkBrawler"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="StaminaLoss" operation="perc_subtract" value="0.003,0.3" level="1,100"/>			</effect_group>			<effect_group name="AS Brawler Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Brawler_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Brawler_XP" operation="GTE" value="@AS_Brawler_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkBrawler"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Brawler_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Brawler_LvlNextTotal" operation="add" value="@AS_Brawler_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Brawler_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Fist Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Brawler_XP" operation="add" value="@AS_Brawler_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Brawler_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Brawler_LvlNextTotal" operation="add" value="@AS_Brawler_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Brawler_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Fist Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASArchery" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Archery Weapons" desc_key="perkASArcheryDesc" icon="ui_game_symbol_archery">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkArchery"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="ReloadSpeedMultiplier" operation="perc_add" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesVertical" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesHorizontal" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="WeaponHandling" operation="perc_add" value="0.005,0.5" level="1,100"/>			</effect_group>			<effect_group name="AS Archery Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Archery_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Archery_XP" operation="GTE" value="@AS_Archery_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkArchery"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Archery_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Archery_LvlNextTotal" operation="add" value="@AS_Archery_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Archery_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Archery Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Archery_XP" operation="add" value="@AS_Archery_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Archery_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Archery_LvlNextTotal" operation="add" value="@AS_Archery_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Archery_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Archery Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASPistols" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Pistol Weapons" desc_key="perkASPistolsDesc" icon="ui_game_symbol_gunslinger">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkGunslinger"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="ReloadSpeedMultiplier" operation="perc_add" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesVertical" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesHorizontal" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="IncrementalSpreadMultiplier" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="WeaponHandling" operation="perc_add" value="0.005,0.5" level="1,100"/>			</effect_group>			<effect_group name="AS Pistols Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Pistols_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Pistols_XP" operation="GTE" value="@AS_Pistols_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkGunslinger"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Pistols_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Pistols_LvlNextTotal" operation="add" value="@AS_Pistols_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Pistols_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Pistol Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Pistols_XP" operation="add" value="@AS_Pistols_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Pistols_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Pistols_LvlNextTotal" operation="add" value="@AS_Pistols_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Pistols_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Pistol Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASShotguns" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Shotgun Weapons" desc_key="perkASShotgunsDesc" icon="ui_game_symbol_shotgun">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkBoomstick"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="ReloadSpeedMultiplier" operation="perc_add" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesVertical" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesHorizontal" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="IncrementalSpreadMultiplier" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="WeaponHandling" operation="perc_add" value="0.005,0.5" level="1,100"/>			</effect_group>			<effect_group name="AS Shotguns Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Shotguns_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Shotguns_XP" operation="GTE" value="@AS_Shotguns_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkBoomstick"/>				<triggered_effect trigger="onSelfKilledOther" action="ModifyCVar" cvar="AS_Shotguns_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfKilledOther" action="ModifyCVar" cvar="AS_Shotguns_LvlNextTotal" operation="add" value="@AS_Shotguns_LvlNextAdd"/>				<triggered_effect trigger="onSelfKilledOther" action="ModifyCVar" cvar="AS_Shotguns_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfKilledOther" action="ShowToolbeltMessage" message="Shotgun Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Shotguns_XP" operation="add" value="@AS_Shotguns_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Shotguns_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Shotguns_LvlNextTotal" operation="add" value="@AS_Shotguns_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Shotguns_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Shotgun Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASRifles" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Rifle Weapons" desc_key="perkASRiflesDesc" icon="ui_game_symbol_map_cursor">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkDeadEye"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="ReloadSpeedMultiplier" operation="perc_add" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesVertical" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesHorizontal" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="IncrementalSpreadMultiplier" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="WeaponHandling" operation="perc_add" value="0.005,0.5" level="1,100"/>			</effect_group>			<effect_group name="AS Rifles Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Rifles_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Rifles_XP" operation="GTE" value="@AS_Rifles_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkDeadEye"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Rifles_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Rifles_LvlNextTotal" operation="add" value="@AS_Rifles_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Rifles_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Rifle Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Rifles_XP" operation="add" value="@AS_Rifles_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Rifles_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Rifles_LvlNextTotal" operation="add" value="@AS_Rifles_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Rifles_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Rifle Weapons Level Increased"/>			</effect_group>		</perk>		<perk name="perkASAutomatics" parent="skillASWeapons" max_level="100" base_skill_point_cost="0" name_key="Automatic Weapons" desc_key="perkASAutomaticsDesc" icon="ui_game_symbol_rifle">			<effect_group>				<requirement name="HoldingItemHasTags" tags="perkMachineGunner"/>				<passive_effect name="EntityDamage" operation="perc_add" value="0.003,0.3" level="1,100"/>				<passive_effect name="ReloadSpeedMultiplier" operation="perc_add" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesVertical" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="SpreadDegreesHorizontal" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesVerticalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMin" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="KickDegreesHorizontalMax" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="IncrementalSpreadMultiplier" operation="perc_subtract" value="0.005,0.5" level="1,100"/>				<passive_effect name="WeaponHandling" operation="perc_add" value="0.005,0.5" level="1,100"/>			</effect_group>			<effect_group name="AS Automatics Lvl Increase">				<requirement name="CVarCompare" cvar="AS_Automatics_Lvl" operation="LT" value="100"/>				<requirement name="CVarCompare" cvar="AS_Automatics_XP" operation="GTE" value="@AS_Automatics_LvlNextTotal"/>				<requirement name="HoldingItemHasTags" tags="perkMachineGunner"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Automatics_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Automatics_LvlNextTotal" operation="add" value="@AS_Automatics_LvlNextAdd"/>				<triggered_effect trigger="onSelfDamagedOther" action="ModifyCVar" cvar="AS_Automatics_Lvl" operation="add" value="1"/>				<triggered_effect trigger="onSelfDamagedOther" action="ShowToolbeltMessage" message="Automatic Weapons Level Increased"/>			</effect_group>			<effect_group>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Automatics_XP" operation="add" value="@AS_Automatics_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Automatics_LvlNextAdd" operation="multiply" value="@AS_XP_Mult"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Automatics_LvlNextTotal" operation="add" value="@AS_Automatics_LvlNextAdd"/>				<triggered_effect trigger="onPerkLevelChanged" action="ModifyCVar" cvar="AS_Automatics_Lvl_Perm" operation="add" value="1"/>				<triggered_effect trigger="onPerkLevelChanged" action="ShowToolbeltMessage" message="Automatic Weapons Level Increased"/>			</effect_group>		</perk>	</append></JaxTeller718>